package com.qmth.distributed.print.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 课程权重dto
 * @Author: CaoZixuan
 * @Date: 2024-03-01
 */
public class CourseWeightDto {

    @ApiModelProperty("课程目标id")
    private Long courseTargetId;

    @ApiModelProperty("课程目标名称")
    private String courseTargetName;

    @ApiModelProperty("毕业要求指标（评价依据）")
    private List<CourseDimensionDto> dimensionList;

    @ApiModelProperty("支撑毕业要求")
    private String degreeRequirement;

    @ApiModelProperty("目标整体权重")
    private BigDecimal totalWeight;

    @ApiModelProperty("评价方式权重详情")
    private List<CourseWeightDetailDto> evaluationList;

    public Long getCourseTargetId() {
        return courseTargetId;
    }

    public void setCourseTargetId(Long courseTargetId) {
        this.courseTargetId = courseTargetId;
    }

    public String getCourseTargetName() {
        return courseTargetName;
    }

    public void setCourseTargetName(String courseTargetName) {
        this.courseTargetName = courseTargetName;
    }

    public List<CourseDimensionDto> getDimensionList() {
        return dimensionList;
    }

    public void setDimensionList(List<CourseDimensionDto> dimensionList) {
        this.dimensionList = dimensionList;
    }

    public String getDegreeRequirement() {
        return degreeRequirement;
    }

    public void setDegreeRequirement(String degreeRequirement) {
        this.degreeRequirement = degreeRequirement;
    }

    public BigDecimal getTotalWeight() {
        return totalWeight;
    }

    public void setTotalWeight(BigDecimal totalWeight) {
        this.totalWeight = totalWeight;
    }

    public List<CourseWeightDetailDto> getEvaluationList() {
        return evaluationList;
    }

    public void setEvaluationList(List<CourseWeightDetailDto> evaluationList) {
        this.evaluationList = evaluationList;
    }
}
