package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Map;

/**
 * @Description: 课程目标权重dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CourseTargetWeightDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "课程目标id")
    private Long targetId;

    @ApiModelProperty(value = "课程目标名称")
    private String targetName;

    @ApiModelProperty(value = "平时成绩权重")
    private Map<String, BigDecimal> usualScoreWeight;

    @ApiModelProperty(value = "期末成绩权重")
    private BigDecimal finalScoreWeight;

    public CourseTargetWeightDto() {

    }

    public CourseTargetWeightDto(Long targetId, String targetName) {
        this.targetId = targetId;
        this.targetName = targetName;
    }

    public CourseTargetWeightDto(Long targetId, String targetName, Map<String, BigDecimal> usualScoreWeight, BigDecimal finalScoreWeight) {
        this.targetId = targetId;
        this.targetName = targetName;
        this.usualScoreWeight = usualScoreWeight;
        this.finalScoreWeight = finalScoreWeight;
    }

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public Map<String, BigDecimal> getUsualScoreWeight() {
        return usualScoreWeight;
    }

    public void setUsualScoreWeight(Map<String, BigDecimal> usualScoreWeight) {
        this.usualScoreWeight = usualScoreWeight;
    }

    public BigDecimal getFinalScoreWeight() {
        return finalScoreWeight;
    }

    public void setFinalScoreWeight(BigDecimal finalScoreWeight) {
        this.finalScoreWeight = finalScoreWeight;
    }
}
