package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 课程知识点dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DimensionDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "知识点id")
    private Long dimensionId;

    @ApiModelProperty(value = "知识点编码")
    private String dimensionCode;

    @ApiModelProperty(value = "知识点名称")
    private String dimensionName;

    @ApiModelProperty(value = "知识点分数")
    private Double dimensionScore;

    public DimensionDto() {

    }

    public DimensionDto(DimensionDto dimensionDto, Double dimensionScore) {
        this.dimensionId = dimensionDto.getDimensionId();
        this.dimensionCode = dimensionDto.getDimensionCode();
        this.dimensionName = dimensionDto.getDimensionName();
        this.dimensionScore = dimensionScore;
    }

    public DimensionDto(Long dimensionId, String dimensionCode, String dimensionName, Double dimensionScore) {
        this.dimensionId = dimensionId;
        this.dimensionCode = dimensionCode;
        this.dimensionName = dimensionName;
        this.dimensionScore = dimensionScore;
    }

    public Long getDimensionId() {
        return dimensionId;
    }

    public void setDimensionId(Long dimensionId) {
        this.dimensionId = dimensionId;
    }

    public String getDimensionCode() {
        return dimensionCode;
    }

    public void setDimensionCode(String dimensionCode) {
        this.dimensionCode = dimensionCode;
    }

    public String getDimensionName() {
        return dimensionName;
    }

    public void setDimensionName(String dimensionName) {
        this.dimensionName = dimensionName;
    }

    public Double getDimensionScore() {
        return dimensionScore;
    }

    public void setDimensionScore(Double dimensionScore) {
        this.dimensionScore = dimensionScore;
    }
}
