package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 报告课程考核成绩评价明细结果-考生-目标dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReportExamStudentTargetDto implements Serializable {

    @ApiModelProperty(value = "课程目标id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long targetId;

    @ApiModelProperty(value = "课程目标名称")
    private String targetName;

    @ApiModelProperty(value = "期末成绩")
    private ReportExamStudentFinalScoreDto finalScore;

    @ApiModelProperty(value = "平时成绩")
    private ReportExamStudentUsualScoreDto usualScore;

    public ReportExamStudentTargetDto() {

    }

    public ReportExamStudentTargetDto(Long targetId, String targetName) {
        this.targetId = targetId;
        this.targetName = targetName;
    }

    public ReportExamStudentTargetDto(Long targetId, String targetName, ReportExamStudentFinalScoreDto finalScore) {
        this.targetId = targetId;
        this.targetName = targetName;
        this.finalScore = finalScore;
    }

    public ReportExamStudentTargetDto(Long targetId, String targetName, ReportExamStudentFinalScoreDto finalScore, ReportExamStudentUsualScoreDto usualScore) {
        this.targetId = targetId;
        this.targetName = targetName;
        this.finalScore = finalScore;
        this.usualScore = usualScore;
    }

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public ReportExamStudentFinalScoreDto getFinalScore() {
        return finalScore;
    }

    public void setFinalScore(ReportExamStudentFinalScoreDto finalScore) {
        this.finalScore = finalScore;
    }

    public ReportExamStudentUsualScoreDto getUsualScore() {
        return usualScore;
    }

    public void setUsualScore(ReportExamStudentUsualScoreDto usualScore) {
        this.usualScore = usualScore;
    }
}
